Bug 1889737 - Write a release note for Tech Preview XDP features in RHEL 8.3 [NEEDINFO]
Summary: Write a release note for Tech Preview XDP features in RHEL 8.3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.3
Assignee: Marc Muehlfeld
QA Contact: RHEL DPM
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 13:36 UTC by Marc Muehlfeld
Modified: 2021-09-10 14:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
.XDP features that are available as Technology Preview Red Hat provides the usage of the following eXpress Data Path (XDP) features as unsupported Technology Preview: * Loading XDP programs on architectures other than AMD and Intel 64-bit. Note that the `libxdp` library is not available for architectures other than AMD and Intel 64-bit. * The XDP hardware offloading. Before using this feature, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.4_release_notes/rhel-8-4-0-release#BZ-1880268[Unloading XDP programs fails on Netronome network cards that use the nfp driver].
Clone Of:
Environment:
Last Closed: 2020-11-06 08:40:01 UTC
Type: Bug
Target Upstream Version:
mmuehlfe: needinfo? (jbenc)


Attachments (Terms of Use)

Description Marc Muehlfeld 2020-10-20 13:36:33 UTC
Write a release note for Tech Preview XDP features in RHEL 8.3

Comment 1 Marc Muehlfeld 2020-11-06 08:40:01 UTC
The RN is now available on the Customer Portal:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.3_release_notes/technology_previews#BZ-1889737

Comment 2 Jiri Benc 2021-04-22 08:39:40 UTC
Update for RHEL 8.4:

For XDP, we're now supporting also the redirect and tx verdicts. Meaning the sentence "The XDP_TX and XDP_REDIRECT return codes." should be removed from the Technology Previews / Networking chapter.

The "XDP is conditionally supported" section in New Features / Networking sections should be adjusted. I propose the following wording: 

------
With this release, the XDP_TX and XDP_REDIRECT return codes are now supported in XDP programs.

Red Hat supports the eXpress Data Path (XDP) feature only if all of the following conditions apply:

* You load the XDP program on an AMD or Intel 64-bit architecture
* You use the libxdp library to load the program into the kernel
* The XDP program does not use the XDP hardware offloading 

For details about unsupported XDP features, see Overview of XDP features that are available as Technology Preview.
------

Longer term, we'll need to find a better place for the support conditions. The libxdp condition is going to stay for the RHEL 8 lifetime and having this in the New Features forever does not look correct.

For some reason, the 8.3 release notes contain two sections in the Technology Previews / Networking chapter: "XDP available as a Technology Preview" and "XDP features that are available as Technology Preview". These should be merged.

Comment 3 Marc Muehlfeld 2021-04-22 09:15:31 UTC
> For some reason, the 8.3 release notes contain two sections in the Technology Previews / Networking chapter: "XDP available as a Technology Preview" and "XDP features
> that are available as Technology Preview". These should be merged.

I merged the RN from this BZ and BZ#1503672.
The merged RN is now here in this BZ (see DocText field)


To track the "what-is-supported-in-8.4" part of XDP, I created BZ#1952421 for the corresponding RN.


Note You need to log in before you can comment on or make changes to this bug.